SimpleHomologeneBuilder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.SimpleHomologeneBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class SimpleHomologeneBuilder

    java.lang.Object
      org.biojava.bio.program.homologene.SimpleHomologeneBuilder

All Implemented Interfaces:
  HomologeneBuilder

    public class SimpleHomologeneBuilder

extends Object
implements HomologeneBuilder

A simple no-frills implementation of the HomologeneBuilder interface. Used to instantiate a in-memory copy of the Homologene data.

Author:
  David Huen

Field Summary

Fields inherited from interface org.biojava.bio.program.homologene.HomologeneBuilder
`ACCESSION, CURATED, HOMOID, LOCUSID, MULTIPLE, PERCENTIDENTITY, REFERENCE, SIMILARITYTYPE, TAXONID, TWIN`

Constructor Summary
`SimpleHomologeneBuilder()`

Method Summary
`void` | `addOrthologueProperty(String key, String value)` add a property to the current Orthologue
`void` | `addOrthoPairProperty(String key, String value)` add a property to the current OrthoPair
`void` | `addTitle(int taxonID, String homologeneID, String title)` add title information to an Orthologue (this is not in enclosed in the Orthologue element because it comes completely separate in the Homologene data files.
`void` | `endDB()` end of data for DB
`void` | `endGroup()` end of data for group
`void` | `endOrthologue()` end of data for this Orthologue
`void` | `endOrthoPair()` end of data for this OrthoPair
`HomologeneDB` | `getDB()` retrieve the DB that has just been built
`void` | `startDB()` indicates start of data for a HomologeneDB
`void` | `startGroup()` indicates start of data for a OrthoPairSet
`void` | `startOrthologue()` indicates start of data for an orthologue
`void` | `startOrthoPair()` indicates start of data for an OrthoPair

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleHomologeneBuilder

    public SimpleHomologeneBuilder()

Method Detail

### startDB

    public void startDB()

  Description copied from interface: `HomologeneBuilder`
  indicates start of data for a HomologeneDB

  Specified by:
    `startDB` in interface `HomologeneBuilder`

### startGroup

    public void startGroup()

  Description copied from interface: `HomologeneBuilder`
  indicates start of data for a OrthoPairSet

  Specified by:
    `startGroup` in interface `HomologeneBuilder`

### startOrthoPair

    public void startOrthoPair()

  Description copied from interface: `HomologeneBuilder`
  indicates start of data for an OrthoPair

  Specified by:
    `startOrthoPair` in interface `HomologeneBuilder`

### startOrthologue

    public void startOrthologue()

  Description copied from interface: `HomologeneBuilder`
  indicates start of data for an orthologue

  Specified by:
    `startOrthologue` in interface `HomologeneBuilder`

### addOrthologueProperty

    public void addOrthologueProperty(String key,
                                      String value)

  Description copied from interface: `HomologeneBuilder`
  add a property to the current Orthologue

  Specified by:
    `addOrthologueProperty` in interface `HomologeneBuilder`

### endOrthologue

    public void endOrthologue()

  Description copied from interface: `HomologeneBuilder`
  end of data for this Orthologue

  Specified by:
    `endOrthologue` in interface `HomologeneBuilder`

### addOrthoPairProperty

    public void addOrthoPairProperty(String key,
                                     String value)

  Description copied from interface: `HomologeneBuilder`
  add a property to the current OrthoPair

  Specified by:
    `addOrthoPairProperty` in interface `HomologeneBuilder`

### endOrthoPair

    public void endOrthoPair()

  Description copied from interface: `HomologeneBuilder`
  end of data for this OrthoPair

  Specified by:
    `endOrthoPair` in interface `HomologeneBuilder`

### addTitle

    public void addTitle(int taxonID,
                         String homologeneID,
                         String title)

  Description copied from interface: `HomologeneBuilder`
  add title information to an Orthologue (this is not in enclosed in the Orthologue element because it comes completely separate in the Homologene data files. Go figger.)

  Specified by:
    `addTitle` in interface `HomologeneBuilder`

### endGroup

    public void endGroup()

  Description copied from interface: `HomologeneBuilder`
  end of data for group

  Specified by:
    `endGroup` in interface `HomologeneBuilder`

### endDB

    public void endDB()

  Description copied from interface: `HomologeneBuilder`
  end of data for DB

  Specified by:
    `endDB` in interface `HomologeneBuilder`

### getDB

    public HomologeneDB getDB()

  Description copied from interface: `HomologeneBuilder`
  retrieve the DB that has just been built

  Specified by:
    `getDB` in interface `HomologeneBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD